Bug 505241 - Problem with uvcvideo on Vaio
Problem with uvcvideo on Vaio
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-11 02:53 EDT by Amir Hedayaty
Modified: 2010-06-18 02:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-18 02:56:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amir Hedayaty 2009-06-11 02:53:07 EDT
Description of problem:

The old r5u870 driver (for vaio laptops) is not maintained and is not 
compilable on 2.6.29. uvcvudeo driver works fine on 640x480 res. but not 
on other resolutions. This uvcvideo has a better quality than the drivers. But 320x240 res. is more common. Skype and empathy all use 320x240.

Version-Release number of selected component (if applicable):

kernel-2.6.29.4-167.fc11.x86_64

How reproducible:

Steps to Reproduce:
1. Run cheese
2. change resolution to 320x240 or 160x120
  
Actual results:
wired output 

Expected results:
a fine picture

Additional info:
Comment 1 Bug Zapper 2010-04-27 10:46:02 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Amir Hedayaty 2010-04-28 11:09:45 EDT
It was a long bug, and still exists on latest fedora 13 Beta
Comment 3 Amir Hedayaty 2010-06-17 23:22:23 EDT
Finally with the latest kernel update uvcvideo seems to be acted fine.
I guess if firmware is installed by default the webcams should work out of the box.

This bug can almost be closed.
Comment 4 Hans de Goede 2010-06-18 02:56:33 EDT
Unfortunately the firmware needed for the r5u870 cameras does not meet the licensing guidelines for Fedora, so it cannot be distributed as part of Fedora.

Work is underway to create a package of it in the rpmfusion repository, see:
https://bugzilla.rpmfusion.org/show_bug.cgi?id=794

Note You need to log in before you can comment on or make changes to this bug.